com.thinkaurelius.titan.graphdb.database.log

## Class TransactionLogHeader

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.log.TransactionLogHeader

-     public class TransactionLogHeader
      extends Object

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TransactionLogHeader.Entry`
    `static class` | `TransactionLogHeader.Modification`
    `static class` | `TransactionLogHeader.SecondaryFailures`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionLogHeader(long transactionId, Timepoint txTimestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getId()`
    `StaticBuffer` | `getLogKey()`
    `long` | `getTimestamp(TimeUnit unit)`
    `static TransactionLogHeader.Entry` | `parse(StaticBuffer buffer, Serializer serializer, TimestampProvider times)`
    `StaticBuffer` | `serializeModifications(Serializer serializer, LogTxStatus status, StandardTitanTx tx, Collection<InternalRelation> addedRelations, Collection<InternalRelation> deletedRelations)`
    `StaticBuffer` | `serializePrimary(Serializer serializer, LogTxStatus status)`
    `StaticBuffer` | `serializeSecondary(Serializer serializer, LogTxStatus status, Map<String,Throwable> indexFailures, boolean userLogSuccess)`
    `StaticBuffer` | `serializeUserLog(Serializer serializer, TransactionLogHeader.Entry sourceTxEntry, StandardTransactionId sourceTxId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionLogHeader

          public TransactionLogHeader(long transactionId,
                              Timepoint txTimestamp)

  - ### Method Detail

    - #### getId

          public long getId()

    - #### getTimestamp

          public long getTimestamp(TimeUnit unit)

    - #### getLogKey

          public StaticBuffer getLogKey()

    - #### serializeModifications

          public StaticBuffer serializeModifications(Serializer serializer,
                                            LogTxStatus status,
                                            StandardTitanTx tx,
                                            Collection<InternalRelation> addedRelations,
                                            Collection<InternalRelation> deletedRelations)

    - #### serializeUserLog

          public StaticBuffer serializeUserLog(Serializer serializer,
                                      TransactionLogHeader.Entry sourceTxEntry,
                                      StandardTransactionId sourceTxId)

    - #### serializePrimary

          public StaticBuffer serializePrimary(Serializer serializer,
                                      LogTxStatus status)

    - #### serializeSecondary

          public StaticBuffer serializeSecondary(Serializer serializer,
                                        LogTxStatus status,
                                        Map<String,Throwable> indexFailures,
                                        boolean userLogSuccess)

    - #### parse

          public static TransactionLogHeader.Entry parse(StaticBuffer buffer,
                                         Serializer serializer,
                                         TimestampProvider times)

Copyright © 2012–2014. All rights reserved.